org.apache.maven.scm.provider.svn.svnexe.command.info

## Class SvnInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.svn.svnexe.command.info.SvnInfoCommand

All Implemented Interfaces:
  Command, SvnCommand

    public class SvnInfoCommand
    extends AbstractCommand
    implements SvnCommand

Author:
  Kenney Westerhof

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SvnInfoCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, ScmFileSet fileSet, boolean recursive, String revision)`
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`InfoScmResult` `executeInfoCommand(SvnScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters, boolean recursive, String revision)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnInfoCommand

    public SvnInfoCommand()

### Method Detail

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### executeInfoCommand

    public InfoScmResult executeInfoCommand(SvnScmProviderRepository repository,
                                            ScmFileSet fileSet,
                                            CommandParameters parameters,
                                            boolean recursive,
                                            String revision)
                                     throws ScmException

Throws:
  `ScmException`

#### createCommandLine

    protected static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                                ScmFileSet fileSet,
                                                                                boolean recursive,
                                                                                String revision)